Bug 472833 - Oxygen style mishandles background transparency
Oxygen style mishandles background transparency
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase-runtime (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-24 17:38 EST by Craig Scott
Modified: 2009-09-12 18:50 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-12 18:50:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample code to show the bug (684 bytes, application/octet-stream)
2008-11-24 17:38 EST, Craig Scott
no flags Details
Screen shot of the incorrectly rendered result (10.04 KB, image/png)
2008-11-24 17:39 EST, Craig Scott
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 207216 None None None Never

  None (edit)
Description Craig Scott 2008-11-24 17:38:06 EST
Created attachment 324546 [details]
Sample code to show the bug

Description of problem:
When the Oxygen style is being used, transparent backgrounds for widgets are not handled correctly. Undesirable artefacts are shown and transparency is not always enforced. Sample code is attached and I'll also attach a screen shot shortly. Using any other style works as expected, so the problem seems to be restricted to the Oxygen style. I have had correspondence with Nokia on this issue and we agree that the Oxygen style appears to be the cause.

Version-Release number of selected component (if applicable):
The bug only shows up for Qt4.4.1 and later. When using Qt4.4.0 the bug does not seem to show up.

How reproducible:
See attached code sample and screen shot.

Actual/expected results:
The sample code should show a light green box with QLabel text drawn over it. The bug instead causes a dark green box to be drawn partly over the light green box and the label never appears. Other manifestations of the bug show a black box instead, but the general behavior seems to be that a darker box seems to cover approximately the upper half of the widget and transparency is mishandled.
Comment 1 Craig Scott 2008-11-24 17:39:00 EST
Created attachment 324547 [details]
Screen shot of the incorrectly rendered result
Comment 2 Bug Zapper 2009-06-09 23:21:35 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Kevin Kofler 2009-06-10 01:52:46 EDT
Does this still happen with Qt 4.5.x and current KDE?
Comment 4 Craig Scott 2009-06-10 02:01:07 EDT
Yep, the sample attachment still shows the bug with current Qt (4.5.0) and KDE (4.2.3).
Comment 5 Kevin Kofler 2009-06-10 02:25:55 EDT
Well, let's rebase to F11 then (not Rawhide because that one has 4.3, so maybe it's fixed there already... we can always hope ;-) ).
Comment 6 Steven M. Parrish 2009-09-08 09:04:51 EDT
Is this still an issue with 4.3?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Craig Scott 2009-09-08 19:46:38 EDT
Don't know, I don't have access to a system running KDE 4.3 and probably won't for at least a few weeks.
Comment 8 Ngo Than 2009-09-11 11:40:19 EDT
it's still effacted in 4.3.1. It's great if someone could report this to KDE upstream (component: kstyle). thanks
Comment 9 Steven M. Parrish 2009-09-12 18:50:06 EDT
Ok reported upstream. Going to close this report in favor of the upstream one.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.